com.trendmicro.ds.platform.rest.object.cloud

## Class CloudAccountElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.CloudAccountElement

-     public class CloudAccountElement
      extends java.lang.Object

  A structure containing information about a cloud account.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudAccountElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessKey()` Used by AMAZON, the user access key.
    `java.lang.String` | `getAzureCertificate()` Key Pair file for the Azure cloud.
    `java.lang.String` | `getAzureCertPassword()` Password of Key Pair file for the Azure cloud.
    `java.lang.Integer` | `getCloudAccountId()` Internal identifier uniquely identifying a cloud provider account.
    `java.lang.String` | `getCloudRegion()` Represents a cloud partition/region, current mapping is the following: - amazon.cloud.region.key.1 maps to us-east-1 - amazon.cloud.region.key.2 maps to us-west-2 - amazon.cloud.region.key.3 maps to us-west-1 - amazon.cloud.region.key.4 maps to eu-west-1 - amazon.cloud.region.key.5 maps to ap-southeast-1 - amazon.cloud.region.key.6 maps to ap-northeast-1 - amazon.cloud.region.key.7 maps to sa-east-1
    `java.lang.String` | `getCloudType()` The cloud type; supported types are AMAZON, VCLOUD_PRIVATE_CLOUD and AZURE.
    `java.lang.String` | `getDescription()` Description to be associated to the cloud account.
    `java.lang.String` | `getEndpoint()` IP Address of the vCloud cloud.
    `java.util.Date` | `getLastTimeSynchronized()` Last time synchronized; provided by the server.
    `java.lang.String` | `getName()` User-friendly name to be given to the cloud account.
    `java.lang.Boolean` | `getRealTimeSynchronization()` Control whether or not ongoing synchronization should be enabled.
    `java.lang.String` | `getSecretKey()` Used by AMAZON, the user secret key.
    `java.lang.String` | `getSubscriptionId()` Subscription ID of the Azure cloud.
    `java.lang.String` | `getUserId()` Used by VCLOUD_PRIVATE_CLOUD to uniquely identify an user; the format is usually <userid>@<organization>
    `java.lang.String` | `getUserPassword()` Used by VCLOUD_PRIVATE_CLOUD as the user's password.
    `java.lang.Boolean` | `isRealTimeSynchronization()`
    `void` | `setAccessKey(java.lang.String accessKey)`
    `void` | `setAzureCertificate(java.lang.String azureCertificate)`
    `void` | `setAzureCertPassword(java.lang.String azureCertPassword)`
    `void` | `setCloudAccountId(java.lang.Integer cloudAccountId)`
    `void` | `setCloudRegion(java.lang.String cloudRegion)`
    `void` | `setCloudType(java.lang.String cloudType)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setEndpoint(java.lang.String endpoint)`
    `void` | `setLastTimeSynchronized(java.util.Date lastTimeSynchronized)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRealTimeSynchronization(java.lang.Boolean realTimeSynchronization)`
    `void` | `setSecretKey(java.lang.String secretKey)`
    `void` | `setSubscriptionId(java.lang.String subscriptionId)`
    `void` | `setUserId(java.lang.String userId)`
    `void` | `setUserPassword(java.lang.String userPassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudAccountElement

          public CloudAccountElement()

  - ### Method Detail

    - #### getCloudType

          public java.lang.String getCloudType()

      The cloud type; supported types are AMAZON, VCLOUD_PRIVATE_CLOUD and AZURE.

    - #### setCloudType

          public void setCloudType(java.lang.String cloudType)

    - #### getCloudRegion

          public java.lang.String getCloudRegion()

      Represents a cloud partition/region, current mapping is the following:
      - amazon.cloud.region.key.1 maps to us-east-1
      - amazon.cloud.region.key.2 maps to us-west-2
      - amazon.cloud.region.key.3 maps to us-west-1
      - amazon.cloud.region.key.4 maps to eu-west-1
      - amazon.cloud.region.key.5 maps to ap-southeast-1
      - amazon.cloud.region.key.6 maps to ap-northeast-1
      - amazon.cloud.region.key.7 maps to sa-east-1

    - #### setCloudRegion

          public void setCloudRegion(java.lang.String cloudRegion)

    - #### getName

          public java.lang.String getName()

      User-friendly name to be given to the cloud account.

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

      Description to be associated to the cloud account.

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getUserId

          public java.lang.String getUserId()

      Used by VCLOUD_PRIVATE_CLOUD to uniquely identify an user; the format is usually <userid>@<organization>

    - #### setUserId

          public void setUserId(java.lang.String userId)

    - #### getUserPassword

          public java.lang.String getUserPassword()

      Used by VCLOUD_PRIVATE_CLOUD as the user's password.

    - #### setUserPassword

          public void setUserPassword(java.lang.String userPassword)

    - #### getAccessKey

          public java.lang.String getAccessKey()

      Used by AMAZON, the user access key.

    - #### setAccessKey

          public void setAccessKey(java.lang.String accessKey)

    - #### getSecretKey

          public java.lang.String getSecretKey()

      Used by AMAZON, the user secret key.

    - #### setSecretKey

          public void setSecretKey(java.lang.String secretKey)

    - #### getRealTimeSynchronization

          public java.lang.Boolean getRealTimeSynchronization()

      Control whether or not ongoing synchronization should be enabled.

    - #### isRealTimeSynchronization

          public java.lang.Boolean isRealTimeSynchronization()

    - #### setRealTimeSynchronization

          public void setRealTimeSynchronization(java.lang.Boolean realTimeSynchronization)

    - #### getLastTimeSynchronized

          public java.util.Date getLastTimeSynchronized()

      Last time synchronized; provided by the server.

    - #### setLastTimeSynchronized

          public void setLastTimeSynchronized(java.util.Date lastTimeSynchronized)

    - #### getEndpoint

          public java.lang.String getEndpoint()

      IP Address of the vCloud cloud.

    - #### setEndpoint

          public void setEndpoint(java.lang.String endpoint)

    - #### getCloudAccountId

          public java.lang.Integer getCloudAccountId()

      Internal identifier uniquely identifying a cloud provider account.

    - #### setCloudAccountId

          public void setCloudAccountId(java.lang.Integer cloudAccountId)

    - #### getSubscriptionId

          public java.lang.String getSubscriptionId()

      Subscription ID of the Azure cloud.

    - #### setSubscriptionId

          public void setSubscriptionId(java.lang.String subscriptionId)

    - #### getAzureCertificate

          public java.lang.String getAzureCertificate()

      Key Pair file for the Azure cloud. A PEM-encoded X509 file includes private/public key. The allowed format is base64 string of key pair file.

    - #### setAzureCertificate

          public void setAzureCertificate(java.lang.String azureCertificate)

    - #### getAzureCertPassword

          public java.lang.String getAzureCertPassword()

      Password of Key Pair file for the Azure cloud. Leave blank if key pair is not encrypted.

    - #### setAzureCertPassword

          public void setAzureCertPassword(java.lang.String azureCertPassword)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.